{{- if not .Values.global.database.enabled }}
---
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ printf "%s-1-db-timestamp" (include "huishoudboekjeservice.fullname" .) | trunc 63 | trimSuffix "-" }}
  labels:
    {{- include "huishoudboekjeservice.labels" . | nindent 4 }}
  annotations:
    "helm.sh/hook": pre-install,pre-upgrade,pre-rollback
    "helm.sh/hook-weight": "1"
    "helm.sh/hook-delete-policy": before-hook-creation
spec:
  template:
    metadata:
      name: {{ include "huishoudboekjeservice.fullname" . }}
      labels:
        {{- include "huishoudboekjeservice.labels" . | nindent 8 }}
    spec:
      enableServiceLinks: false
      automountServiceAccountToken: false
      restartPolicy: OnFailure
      initContainers:
        - name: {{ .Chart.Name }}-1-test-db-connection
          securityContext:
            {{- toYaml .Values.securityContext | nindent 12 }}
          image: "{{ .Values.init2.image.repository }}:{{ coalesce .Values.init2.image.tag }}"
          imagePullPolicy: "{{ coalesce .Values.init2.image.pullPolicy .Values.global.image.pullPolicy }}"
          command: [ sh ]
          args: [ /test-db-connection.sh ]
          envFrom:
            - secretRef:
                name: {{ printf "%s-huishoudboekjeservice-database" .Release.Name }}
          volumeMounts:
            - mountPath: /test-db-connection.sh
              name: test-script
              subPath: test-db-connection.sh
      containers:
        - name: {{ .Chart.Name }}-db-timestamp
          securityContext:
            {{- toYaml .Values.securityContext | nindent 12 }}
          image: "{{ .Values.init2.image.repository }}:{{ coalesce .Values.init2.image.tag }}"
          imagePullPolicy: "{{ coalesce .Values.init2.image.pullPolicy .Values.global.image.pullPolicy }}"
          command: [ /bin/sh ]
          args:
            - -c
            - >-
              psql -h $POSTGRESQL_HOSTNAME -U $POSTGRESQL_USERNAME -q -d $POSTGRESQL_DATABASE_NAME -c "SELECT CURRENT_TIMESTAMP"
          env:
            - name: POSTGRESQL_HOSTNAME
              valueFrom:
                secretKeyRef:
                  name: {{ printf "%s-huishoudboekjeservice-database" .Release.Name }}
                  key: POSTGRESQL_HOST
            - name: PGPORT
              valueFrom:
                secretKeyRef:
                  name: {{ printf "%s-huishoudboekjeservice-database" .Release.Name }}
                  key: POSTGRESQL_PORT
            - name: POSTGRESQL_DATABASE_NAME
              valueFrom:
                secretKeyRef:
                  name: {{ printf "%s-huishoudboekjeservice-database" .Release.Name }}
                  key: POSTGRESQL_DATABASE_NAME
            - name: POSTGRESQL_USERNAME
              valueFrom:
                secretKeyRef:
                  name: {{ printf "%s-huishoudboekjeservice-database" .Release.Name }}
                  key: POSTGRESQL_USERNAME
            - name: PGPASSWORD
              valueFrom:
                secretKeyRef:
                  name: {{ printf "%s-huishoudboekjeservice-database" .Release.Name }}
                  key: POSTGRESQL_PASSWORD
      volumes:
        - name: test-script
          configMap:
            name: {{ .Release.Name }}-test-db-connection-script
{{- end }}
